<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$TCA["tx_smileformarchive_archive"] = array (
	"ctrl" => $TCA["tx_smileformarchive_archive"]["ctrl"],
	"interface" => array (
		"showRecordFieldList" => "sys_language_uid,l18n_parent,l18n_diffsource,hidden,date_demande,adresse_ip_internaute,mail_destinataire,mail_expediteur,donnees"
	),
	"feInterface" => $TCA["tx_smileformarchive_archive"]["feInterface"],
	"columns" => array (
		'sys_language_uid' => array (		
			'exclude' => 1,
			'label'  => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array (
				'type'                => 'select',
				'foreign_table'       => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
				)
			)
		),
		'l18n_parent' => array (		
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude'     => 1,
			'label'       => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config'      => array (
				'type'  => 'select',
				'items' => array (
					array('', 0),
				),
				'foreign_table'       => 'tx_smileformarchive_archive',
				'foreign_table_where' => 'AND tx_smileformarchive_archive.pid=###CURRENT_PID### AND tx_smileformarchive_archive.sys_language_uid IN (-1,0)',
			)
		),
		'l18n_diffsource' => array (		
			'config' => array (
				'type' => 'passthrough'
			)
		),
		'hidden' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		"date_demande" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:smile_form_archive/locallang_db.xml:tx_smileformarchive_archive.date_demande",		
			"config" => Array (
				"type"     => "input",
				"size"     => "8",
				"max"      => "20",
				"eval"     => "date",
				"checkbox" => "0",
				"default"  => "0"
			)
		),
		"adresse_ip_internaute" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:smile_form_archive/locallang_db.xml:tx_smileformarchive_archive.adresse_ip_internaute",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
		"mail_destinataire" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:smile_form_archive/locallang_db.xml:tx_smileformarchive_archive.mail_destinataire",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
		"mail_expediteur" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:smile_form_archive/locallang_db.xml:tx_smileformarchive_archive.mail_expediteur",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
		"donnees" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:smile_form_archive/locallang_db.xml:tx_smileformarchive_archive.donnees",		
			"config" => Array (
				"type" => "text",
				"cols" => "30",	
				"rows" => "5",
			)
		),
	),
	"types" => array (
		"0" => array("showitem" => "sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, date_demande, adresse_ip_internaute, mail_destinataire, mail_expediteur, donnees")
	),
	"palettes" => array (
		"1" => array("showitem" => "")
	)
);
?>